InsuranceClaim/Controllers/CurrencyController.cs
using Insurance.Domain;
using InsuranceClaim.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace InsuranceClaim.Controllers
{
    public class CurrencyController : Controller
    {
        // GET: Currency
        public ActionResult Index()
        {
          
            var currencyList = (from currency in InsuranceContext.Currencies.All().ToList()
                                select new CurrencyModel { CurrencyName = currency.Name, Description = currency.Description, CreatedOn = currency.CreatedOn, Id = currency.Id,IsActive=currency.IsActive }).ToList();
            return View(currencyList);
        }

        // GET: Currency/Details/5
        public ActionResult Details(int id)
        {
            return View();
        }

        // GET: Currency/Create
        public ActionResult Create()
        {
            return View();
        }

        // POST: Currency/Create
        [HttpPost]
        public ActionResult Create(CurrencyModel model)
        {
            try
            {
                // TODO: Add insert logic here
                var currencyModel = InsuranceContext.Currencies.Single(where: $"Name='{model.CurrencyName}'");
                if (currencyModel == null)
                {
                
                    Currency currency = new Currency { Name=model.CurrencyName, Description= model.Description, CreatedOn=DateTime.Now};
                    InsuranceContext.Currencies.Insert(currency);


                }



                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

        // GET: Currency/Edit/5
        public ActionResult Edit(int id)
        {
            CurrencyModel model = new CurrencyModel();

            ModelState.Remove("Id");
            if (ModelState.IsValid)
            {
                var currencyModel = InsuranceContext.Currencies.Single(where: $"Id='{id}'");
                if (currencyModel != null)
                {
                    model.CurrencyName = currencyModel.Name;
                    model.Description = currencyModel.Description;
                    model.Id = currencyModel.Id;
                }
            }

            return View(model);
        }

        // POST: Currency/Edit/5
        [HttpPost]
        public ActionResult Edit(CurrencyModel model)
        {
            try
            {
                // TODO: Add update logic here
                var currencyModel = InsuranceContext.Currencies.Single(where: $"Id='{model.Id}'");

                if (currencyModel != null)
                {
                    if(CheckCurrencyExist(currencyModel.Name, model.CurrencyName))
                    {
                        currencyModel.Name = model.CurrencyName;
                        currencyModel.Description = model.Description;
                        InsuranceContext.Currencies.Update(currencyModel);
                    }               
                }

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }



        private bool CheckCurrencyExist(string oldCurrency, string newCurrency)
        {
            if (oldCurrency == newCurrency)
            {
                return true;
            }
            else
            {
                var dbCurrency = InsuranceContext.Currencies.Single(where: $"Name = '" + newCurrency + "'");

                if (dbCurrency != null)
                {
                    return false;
                }
            }
            return true;
        }

        // GET: Currency/Delete/5
        public ActionResult Delete(int id)
        {
            return View();
        }

        // POST: Currency/Delete/5
        [HttpPost]
        public ActionResult Delete(int id, FormCollection collection)
        {
            try
            {
                // TODO: Add delete logic here

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }
    }
}

InsuranceClaim/Views/Currency/Create.cshtml
@model  InsuranceClaim.Models.CurrencyModel
@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_InsuranceMain.cshtml";
}




<div class="body-content-section">
    <div class="form-section-top">
        <div class="container">
            <div class="row">
                <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 form-section-col">
                    <div class="form-group-section">
                        <div class="form-title">
                            <h2> Add</h2>
                        </div>

                        <div class="form-group-input">
                            @*@using (Ajax.BeginForm("SaveCustomerData", "CustomerRegistration", new AjaxOptions { UpdateTargetId = "CustomerResult", OnSuccess = "GoToProductDetail" }))*@
                            @using (Html.BeginForm("Create", "Currency", FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                            {
                           
                                if (TempData["errorMsg"] != null)
                                {
                                    <div class="alert alert-danger ">
                                        <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                                        <strong>@TempData["errorMsg"]</strong> .
                                    </div>
                                }



                                <div class="row">
                                    <div class="col-sm-6 col-md-6 form-group-text">
                                        <div class="form-group">
                                            @Html.LabelFor(x => x.CurrencyName, new { @class = "gender-label" })
                                            @Html.TextBoxFor(x => x.CurrencyName, new { @class = "form-control", @name = "MakeDescription", @autocomplete = "off", @id = "Currency", @placeholder = "Currency" })
                                            @Html.ValidationMessageFor(x => x.CurrencyName, "", new { @class = "text-danger" })
                                        </div>
                                    </div>
                                </div>


                                <div class="row">
                                    <div class="col-sm-6 col-md-6 form-group-text">
                                        <div class="form-group">
                                            @Html.LabelFor(x => x.Description, new { @class = "gender-label" })
                                            @Html.TextBoxFor(x => x.Description, new { @class = "form-control", @name = "Description", @autocomplete = "off", @id = "Description", @placeholder = "Description" })
                                          
                                        </div>
                                    </div>
                                </div>

                         
                                <div class="col-md-12 next-btn">
                                    <div class="row">
                                        <div class="col-sm-6 col-md-6">
                                            <div class="text-left">
                                                <button type="button" class="btn" onclick="window.location.href='@Url.Action("Index","Currency")'">Cancel</button>

                                            </div>
                                        </div>
                                        <div class="col-sm-6 col-md-6">
                                            <div class="text-right">
                                                <button type="submit" class="btn">Add</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>



                            }
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>




</div>

InsuranceClaim/Views/Currency/Edit.cshtml
@model  InsuranceClaim.Models.CurrencyModel
@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_InsuranceMain.cshtml";
}



<div class="body-content-section">
    <div class="form-section-top">
        <div class="container">
            <div class="row">
                <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 form-section-col">
                    <div class="form-group-section">
                        <div class="form-title">
                            <h2> Edit</h2>
                        </div>

                        <div class="form-group-input">
                            @*@using (Ajax.BeginForm("SaveCustomerData", "CustomerRegistration", new AjaxOptions { UpdateTargetId = "CustomerResult", OnSuccess = "GoToProductDetail" }))*@
                            @using (Html.BeginForm("Edit", "Currency", FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                            {
                            

                                if (TempData["errorMsg"] != null)
                                {
                                    <div class="alert alert-danger ">
                                        <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                                        <strong>@TempData["errorMsg"]</strong> .
                                    </div>
                                }



                                <div class="row">
                                    <div class="col-sm-6 col-md-6 form-group-text">
                                        <div class="form-group">
                                            @Html.LabelFor(x => x.CurrencyName, new { @class = "gender-label" })
                                            @Html.TextBoxFor(x => x.CurrencyName, new { @class = "form-control", @name = "MakeDescription", @autocomplete = "off", @id = "Currency", @placeholder = "Currency" })
                                            @Html.ValidationMessageFor(x => x.CurrencyName, "", new { @class = "text-danger" })
                                        </div>
                                    </div>
                                  
                                </div>

                                <div class="row">
                                    <div class="col-sm-6 col-md-6 form-group-text">
                                        <div class="form-group">
                                            @Html.LabelFor(x => x.Description, new { @class = "gender-label" })
                                            @Html.TextBoxFor(x => x.Description, new { @class = "form-control", @name = "Description", @autocomplete = "off", @id = "Currency", @placeholder = "Description" })

                                        </div>
                                    </div>
                                </div>



                                @*<input type="submit"  class="btn btn-primary"name="Save"/>*@
                                <div class="col-md-12 next-btn">
                                    <div class="row">
                                        <div class="col-sm-6 col-md-6">
                                            <div class="text-left">
                                                <button type="button" class="btn" onclick="window.location.href='@Url.Action("Index","Currency")'">Cancel</button>

                                            </div>
                                        </div>
                                        <div class="col-sm-6 col-md-6">
                                            <div class="text-right">
                                                <button type="submit" class="btn">Update</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            }
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>




</div>

InsuranceClaim/Views/Currency/Index.cshtml
@model  List<InsuranceClaim.Models.CurrencyModel>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_InsuranceMain.cshtml";
}




<div class="productsave-section">
    <div class="container">
        <div class="row">
            <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6 products-top">
                <div class="head-title">
                    <h2>Currency</h2>
                </div>
            </div>

            <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6 products-top">
                <div class="text-left">
                    @Html.TextBox("searchText", null, new { @class = "form-control", @placeholder = "Search" })
                </div>
            </div>

        </div>

        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 add-btn">
                <div class="">
                    <form>
                        <input class="btn btn-primary" type="button" value="Add" onclick="window.location.href='@Url.Action("Create", "Currency")'" />
                    </form>
                </div>
            </div>



        </div>

        <div class="row">
            <br />
            @if (TempData["errorMsg"] != null)
            {
                <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 form-section-col alert alert-danger">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong>@TempData["errorMsg"]</strong> .
                </div>
            }
        </div>

        <div class="product-table-grid">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>Currency</th>
                        <th>Description</th>
                        <th>Created On</th>
                        <th class="action-th">Action</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var item in Model)
                    {
                        if (item.IsActive == true)
                        {
                            <tr>
                                <td>@item.CurrencyName</td>
                                <td>@item.Description</td>
                                <td>@item.CreatedOn</td>
                                <td>
                                    <div class="tbl-btn-list">
                                        <ul class="list-inline">

                                            <li>@Html.ActionLink("Edit", "Edit", "Currency", new { id = item.Id }, new { @class = "btn-sm btn-primary" })</li>
                                        </ul>
                                    </div>
                                </td>
                            </tr>
                        }

                    }
                </tbody>
            </table>
        </div>

    </div>
    <div class="modal fade" id="MyModal" role="dialog">
        <div class="modal-dialog">
            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <p style="text-align: center;color: #00bcea;font-weight: bold;">Are you sure you want to delete this?</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger" onclick="ConfirmDelete();">Yes</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">No</button>
                </div>
            </div>
        </div>
    </div>
</div>






<script>
    let MakeId;
    function ShowPopupp(Id) {
        debugger;
        $("#MyModal").modal("show");
        MakeId = Id;
    }
    function ConfirmDelete() {
        debugger;

        var url = "@Url.Action("DeleteMake", "VehicleMake", new { Id=123 })";
        var newurl = url.replace("123", MakeId);
        window.location.href = newurl;
    }


    $(document).ready(function () {
        $("#searchText").on("keyup", function () {
            var value = $(this).val().toLowerCase();
            $(".table>tbody tr").filter(function () {
                $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
            });
        });
    });



</script>